FROM wrouesnel/postgres_exporter:v0.5.1

# re-package as alpine image since original is from scratch
FROM alpine:latest

COPY --from=0 /postgres_exporter /postgres_exporter

ADD env_secrets_expand.sh /env_secrets_expand.sh
ADD entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh /env_secrets_expand.sh

EXPOSE 9187
ENTRYPOINT [ "/entrypoint.sh" ]
